/* $Id: 18800.h,v 1.3 1998/11/02 02:51:53 brian Exp $
******************************************************************************

   ATI 18800 Series -- register definitions and macros

   Copyright (C) 1998		Brian S. Julin	[bri@calyx.com]

   Permission is hereby granted, free of charge, to any person obtaining a
   copy of this software and associated documentation files (the "Software"),
   to deal in the Software without restriction, including without limitation
   the rights to use, copy, modify, merge, publish, distribute, sublicense,
   and/or sell copies of the Software, and to permit persons to whom the
   Software is furnished to do so, subject to the following conditions:

   The above copyright notice and this permission notice shall be included in
   all copies or substantial portions of the Software.

   THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
   IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
   FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.  IN NO EVENT SHALL
   THE AUTHOR(S) BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER
   IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
   CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

******************************************************************************
*/

#ifndef _ATI_18800_h
#define _ATI_18800_h

#include <IBM/vga.h>
#include <IBM/8514.h>

#define ATI_MODE_CTL0	0x30
	#define ATI30_H_DISP_ENBL_SKEW	0x01
	#define ATI30_8BIT_COLOR	0x06
	#define ATI30_CRT_ACCESS_PRIO	0x08
	#define ATI30_DISP_ORIG_B16	0x40
	#define ATI30_DISP_ORIG_B17	0x80

#define ATI_COMPAT	0x31
	#define ATI31_EGA_IO_COMPAT	0x01
	#define ATI31_EGA_REG_COMPAT	0x02
	#define ATI31_SCRATCH		0x04
	#define ATI31_CNTL_SCAN_MASK	0x38
	#define ATI31_SCAN_NORMAL	0x00
	#define ATI31_DBLSCAN_GRAPH	0x08
	#define ATI31_3OF4SCAN_GRAPH	0x10
	#define ATI31_DBLSCAN_TEXT	0x28
	#define ATI31_3OF4SCAN_TEXT	0x30
	#define ATI31_V_TIMING_DIV2	0x40

#define ATI_BANK_CTL0	0x32
	#define ATI32_ILACE		0x01
	#define ATI32_BANK0_POS		0x1e
	#define ATI32_EGA_DIPS_ENBL	0x20
	#define ATI32_CLKSEL_B2		0x40
	#define ATI32_BANK1_POS		0xe0

#define ATI_EEPROM_CTL	0x33
	#define ATI33_EEPROM_DATA	0x01
	#define ATI33_EEPROM_CLOCK	0x02
	#define ATI33_EEPROM_ENBL	0x04
	#define ATI33_EEPROM_SEL	0x08
	#define ATI33_PS2_DECODING	0x10
	#define ATI33_ONLY_256K_RAM	0x10
	#define ATI33_CPU_ACCESS_PRIO	0x40
	#define ATI33_16BIT_PLANAR	0x40
	#define ATI33_DBLSCAN_ENBL	0x80

#define ATI_EMUL_CTL	0x34
	#define ATI34_CGA_EMU		0x01
	#define ATI34_HERKY_EMU		0x02
	#define ATI34_WLOCK_CR09	0x04
	#define ATI34_WLOCK_V_TIMING	0x08
	#define ATI34_WLOCK_CURSOR	0x10
	#define ATI34_WLOCK_MISC	0x20
	#define ATI34_WLOCK_CRT		0x40
	#define ATI34_WLOCK_OVERRIDE	0x80

#define ATI_TIMING_CTL0	0x35
	#define ATI34_BLANK_IS_ENABLE	0x01
	#define ATI34_BLANK_POL		0x02
	#define ATI34_H_DISP_ENBL_SKEW	0x04
	#define ATI34_CHARMAP3_CUSTOM	0x08
	#define ATI34_8FONTS_SEL	0x10
	#define ATI34_CURS_BLINK	0x20
	#define ATI34_CGA_CURS_EMU	0x40
	#define ATI34_PCLKDIV_ENBL	0x80

#define ATI_MODE_CTL1	0x36
	#define ATI36_640X400_HERKY_EMU		0x02
	#define ATI36_LINEAR_8COLOR_ENBL	0x04
	#define ATI36_4COLOR_HIRES_SEL		0x08
	#define ATI36_16COLOR_HIRES_SEL		0x10
	#define ATI36_IRQ_ENBL			0x20
	#define ATI36_LINEAR_FB_ENBL		0x40
	#define ATI36_EMU_NO_BLANK		0x80

#define ATI_BUS_CTL0	0x37
	#define ATI37_16BIT_ISA		0x01
	#define ATI37_PS2_CONFIG	0x02
	#define ATI37_MEM_IS_DRAM	0x04
	#define ATI37_EEPROM_DATA	0x08
	#define ATI37_ROM_DECODE	0x10
	#define ATI37_VGA_IO_SEL	0x20
	#define ATI37_RSVD		0xc0

#define ATI_LOCK	0x38
	#define ATI38_WLOCK_PALETT	0x01
	#define ATI38_WLOCK_OSCAN	0x02
	#define ATI38_WLOCK_VGA		0x04
	#define ATI38_WLOCK_ISR		0x08
	#define ATI38_WLOCK_HPOL	0x10
	#define ATI38_WLOCK_VPOL	0x20
	#define ATI38_CLOCK_DIV_MASK	0xc0
	#define ATI38_CLOCK_DIV1	0x00
	#define ATI38_CLOCK_DIV2	0x40
	#define ATI38_CLOCK_DIV3	0x80
	#define ATI38_CLOCK_DIV4	0xc0

#define ATI_BUS_CTL1	0x39
	#define ATI39_UNDOC_CLKSEL	0x01
	#define ATI39_CLKSEL_B3		0x02
	#define ATI39_ROM_SIZE_MASK	0x0c
	#define ATI39_32K_ROM		0x00
	#define ATI39_28K_ROM		0x04
	#define ATI39_24K_ROM		0x0c
	#define ATI39_ROM_WAIT_MASK	0x30
	#define ATI39_ROM_WAIT_8CYCLES	0x00
	#define ATI39_ROM_WAIT_4CYCLES	0x10
	#define ATI39_ROM_WAIT_2CYCLES	0x20
	#define ATI39_ROM_WAIT_0CYCLES	0x30
	#define ATI39_16BIT_PIO		0x40
	#define ATI39_WLOCK_SPLITLINE	0x80

#define ATI_MONITOR_CTL0	0x3A
	#define ATI3A_CHAIN_DLAY_MASK	0x07
	#define ATI3A_DSBL_RED2		0x08
	#define ATI3A_EGA_EMU		0x10
	#define ATI3A_GRAYSCALE		0x20
	#define ATI3A_RSVD		0x40
	#define ATI3A_CHAINRES_DLAY	0x80

#define ATI_MONITOR_CTL1	0x3B
	#define ATI3B_MON_TYPE_MASK	0x1f
	#define ATI3B_MON_EGA		0x00
	#define ATI3B_MON_PS2_AMONO	0x01
	#define ATI3B_MON_TTL_MONO	0x02
	#define ATI3B_MON_PS2_COLOR	0x03
	#define ATI3B_MON_RGB_COLOR	0x04
	#define ATI3B_MON_MULTISYNC	0x05
	#define ATI3B_MON_PS2_8514	0x07
	#define ATI3B_MON_SEIKO_1430	0x08
	#define ATI3B_MON_NEC_MULTI2A	0x09
	#define ATI3B_MON_CRYSTAL860	0x0a
	#define ATI3B_MON_NEC_MULTI3D	0x0b
	#define ATI3B_MON_TVM_3M	0x0c
	#define ATI3B_MON_NEC_MULTIXL	0x0d
	#define ATI3B_MON_TVM_2A	0x0e
	#define ATI3B_MON_NEC_3A	0x0f
	#define ATI3B_512K_RAM		0x20
	#define ATI3B_RSVD		0xc0
	
#define ATI3C_RSVD	0x3C
	#define ATI3C_MUST_SET_TO	0x00

#define ATI_EGA_DIPS	0x3D
#define ATI3D_C_SYNC_POL	0x01
	#define ATI3D_C_SYNC_SEL	0x08
	#define ATI3D_EGA_DIPS		0xf0	

#define ATI_MODE_CTL2	0x3E
	#define ATI3E_DSCAN_WUNLOCK_VDE	0x01
	#define ATI3E_INTERLACE_ENBL	0x02
	#define ATI3E_EGA_SOFT_DIPS	0x04
	#define ATI3E_BANK1_ENBL	0x08
	#define ATI3E_CLKSEL_B2		0x10
	#define ATI3E_16COLOR_1024X768	0x40
	#define ATI3E_4COLOR_1024X768	0x80

#endif /* not defined _ATI_18800.h */
