#ifdef	__MDA__
/*	MDA	From: Jochen Hoenicke, [jochen.hoenicke@informatik.uni-oldenburg.de]
**		Date: 19 Feb 97
*/
#define	MON_VERSION	"0.00 ALPHA"

static struct kgi_monitor
monitor = {
	"standard",	        /* manufacturer		*/
	"14\" MDA",        	/* model		*/
	GM_ALL,			/* supported modes	*/
	0,                      /* special capabilities	*/
	{ 720, 350 },		/* maximum resolution	*/
	NULL,			/* Private data hook	*/
	{ 240, 180 },		/* picture size [mm]    */
	HERCMONO,		/* Hercules monitor	*/
	SYNC_NORMAL,	        /* normal syncing, VESA	*/
	{ 10000000, 30000000 },	/* pixel clock range	*/
	{    17932,    18932 },	/* hfreq range		*/
	{       50,       50 }	/* vfreq range		*/
};

#define	HTIMINGS	1
#define	VTIMINGS	2

static struct kgi_timing
htiming[HTIMINGS] =	/* horizontal timing in ns, descending hfreq */
{/* width  bstart sstart send   bend   total  dummy */
 {  44288, 44288, 45400, 53700, 53700, 53700,     0 }	/* 18.432 kHz */
};

static struct kgi_timing
vtiming[VTIMINGS] =		/* vertical timing in lines */
{ /* width bstart sstart send bend total polarity & htiming */
 {   348,  348,  352,  370,  370,  370,  HPOS | VNEG | 0 },	/* 50 Hz */
 {   350,  350,  364,  370,  370,  370,  HPOS | VNEG | 0 }	/* 50 Hz */
};
#endif	/* __MDA__ */

#ifdef	__VGA__
/*	VGA	From: Steffen Seeger, [Seeger@physik.tu-chemnitz.de]
**		Date: 21 Nov 95 
**	Note: normally VGA monitors have a bandwidth of 30 MHz. But as this 
**	would only allow for 640 pixel horizontally the bandwidth is set to
**	32 MHz, which will make 800 pixel modes possible (e.g. 100x50 textmode).
*/
#define	MON_VERSION	"0.00 ALPHA"

static struct kgi_monitor
monitor = {
	"standard",	        /* manufacturer		*/
	"14\" VGA",	        /* model		*/
	GM_ALL,			/* supported modes	*/
	0,                      /* special capabilities	*/
	{ 800, 480 },		/* maximum resolution	*/
	NULL,			/* Private data hook	*/
	{ 240, 180 },		/* picture size [mm]    */
	VGA_COLOR,		/* VGA color monitor	*/
	SYNC_NORMAL,	        /* normal syncing, VESA	*/
	{ 25000000, 32000000 },	/* pixel clock range	*/
	{    31100,    31900 },	/* hfreq range		*/
	{       50,       70 }	/* vfreq range		*/
};

#define	HTIMINGS	1
#define	VTIMINGS	3

static struct kgi_timing
htiming[HTIMINGS] =	/* horizontal timing in ns, descending hfreq */
{/* width  bstart sstart send   bend   total  dummy */
 {  25422, 25422, 27011, 30824, 31142, 31778,     0 }	/* 31.468 kHz */
};

static struct kgi_timing
vtiming[VTIMINGS] =		/* vertical timing in lines */
{ /* width bstart sstart send bend total polarity & htiming */
 {   480,  488,  489,  491,  516,  524,  HNEG | VNEG | 0 },	/* 60 Hz */
 {   400,  407,  412,  414,  442,  449,  HNEG | VPOS | 0 },	/* 70 Hz */
 {   350,  356,  387,  389,  443,  449,  HPOS | VNEG | 0 }	/* 70 Hz */
};
#endif	/* __VGA__ */

#ifdef	__SVGA__
/*	SVGA	From: Steffen Seeger, [Seeger@physik.tu-chemnitz.de]
**		Date: 21 Nov 95
*/
#define	MON_VERSION	"0.00 ALPHA"

static struct kgi_monitor
monitor = {
	"standard",		/* manufacturer		*/
	"14\" Super VGA",	/* model		*/
	GM_ALL,			/* supported modes	*/
	0,                      /* special capabilities	*/
	{ 1024, 768 },		/* maximum resolution	*/
	NULL,			/* Private data hook	*/
	{  240, 180 },		/* picture size [mm]    */
	VGA_COLOR,		/* VGA color monitor	*/
	SYNC_NORMAL,	        /* normal syncing, VESA	*/
	{ 25000000, 75500000 },	/* pixel clock range	*/
	{    31100,    58000 },	/* hfreq range		*/
	{       50,       75 }	/* vfreq range		*/
};

#define	HTIMINGS	3
#define	VTIMINGS	5

static struct kgi_timing
htiming[HTIMINGS] =
{{  13653, 13653, 13973, 15786, 17707, 17707,     0 },	/* 56.476 kHz */
 {  16000, 16000, 17120, 19520, 20800, 20800,     0 },	/* 48.077 kHz */
 {  25422, 25422, 27011, 30824, 31142, 31778,     0 }};/* 31.468 kHz */

static struct kgi_timing
vtiming[VTIMINGS] =
{{   768,   768,   771,   777,   806,   806,  HNEG | VNEG | 0 },  /* 70 Hz */
 {   600,   600,   637,   643,   666,   666,  HNEG | VPOS | 1 },  /* 72 Hz */
 {   480,   488,   489,   491,   516,   524,  HNEG | VNEG | 2 },  /* 60 Hz */
 {   400,   407,   412,   414,   442,   449,  HNEG | VPOS | 2 },  /* 70 Hz */
 {   350,   356,   387,   389,   443,   449,  HPOS | VNEG | 2 }}; /* 70 Hz */

#endif /* __SVGA__ */

#if 0 /* FIXME, ADDME */
Modeline "vesa-640x480-72"   31.5 640  664  704  849   480  489  492  520
Modeline "vesa-800x600-72"   50   800  856  976 1040   600  637  643  666
Modeline "vesa-1024x768-60"  65  1024 1048 1184 1344   768  771  777  806
Modeline "vesa-1024x768-70"  75  1024 1048 1184 1328   768  771  777  806
Modeline "vesa-1024x768-75"  78  1024 1040 1136 1312   768  769  772  800
Modeline "vesa-1280x1024-60" 108 1280 1312 1456 1696  1024 1026 1029 1064
Modeline "vesa-1280x1024-72" 134 1280 1312 1456 1720  1024 1032 1040 1076
Modeline "vesa-1280x1024-75" 135 1280 1296 1440 1688  1024 1025 1028 1066
#endif
